import { ReflectiveInjector, OnInit, OnDestroy } from "@angular/core";
import { Events, Platform } from "ionic-angular";
import { DataProvider } from "../providers/data-provider";
import { Slots } from "../utils/slots";

export class DetailsView<E> {

    private _type: any;
    private _data: E;
    private _dataProvider: DataProvider
    private _events: Events;

    constructor(_type: any) {
        this._type = _type;

        let injector = ReflectiveInjector.resolveAndCreate([Events, Platform, DataProvider]);
        this._events = injector.get(Events);
        this._dataProvider = injector.get(DataProvider);

        this.initialize();
    }

    /**
     *
     */
    private initialize(): void {
    
    }

    /**
     *
     */
    get dataProvider() {
        return this._dataProvider;
    }

    get events() {
        return this._events;
    }

    /**
     *
     */
    save(): void {

    }
}