import { Component } from "@angular/core";
import { NavController } from "ionic-angular";
import { ListView } from "../../defaults/default-list-view";
import { INavigable } from "../../interfaces/navigable-interface";
import { SaleOrderDetailsPage } from "../../pages/sale-order-details/sale-order-details";
import { SaleOrder } from "../../models/sale.order";

@Component({
    selector: 'page-sale-order-list',
    templateUrl: 'sale-order-list.html'
})
export class SaleOrderListPage extends ListView<SaleOrder> implements INavigable {

    constructor(
        public navCtrl: NavController
    ) {
        super(SaleOrder);
    }

    /**
     *
     */
    goToPage(data: any): void {
        this.navCtrl.push(SaleOrderDetailsPage, data);
    }
}
