import { ReflectiveInjector } from "@angular/core";
import { ToastController, App } from "ionic-angular";

export abstract class Toaster {

    injector: ReflectiveInjector;

    constructor() {
        this.injector = ReflectiveInjector.resolveAndCreate([ToastController, App]);
    }

    /**
     *
     */
    show(text: string): void {
        let toastCtrl: ToastController = this.injector.get(ToastController);
        toastCtrl.create({
            message: text,
            duration: 3000
        }).present();
    }
}